Skip to main content
POST
/
{alias}
/
orders
/
{orderId}
/
invoices
Criar uma nota fiscal
curl --request POST \
  --url https://api.dooki.com.br/v2/{alias}/orders/{orderId}/invoices \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "series": "000",
  "number": "000",
  "date": "2018-01-01",
  "value": "99.99",
  "key": "000",
  "products_value": "79.99",
  "url": "https://url.com",
  "cfop": "cfop",
  "force_invoiced_status": "true"
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/orders/{orderId}/invoices"

payload = {
"series": "000",
"number": "000",
"date": "2018-01-01",
"value": "99.99",
"key": "000",
"products_value": "79.99",
"url": "https://url.com",
"cfop": "cfop",
"force_invoiced_status": "true"
}
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
series: '000',
number: '000',
date: '2018-01-01',
value: '99.99',
key: '000',
products_value: '79.99',
url: 'https://url.com',
cfop: 'cfop',
force_invoiced_status: 'true'
})
};

fetch('https://api.dooki.com.br/v2/{alias}/orders/{orderId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "merchant_id": 123,
      "order_id": 123,
      "series": "<string>",
      "number": "<string>",
      "key": "<string>",
      "date": "2023-11-07T05:31:56Z",
      "value": 123,
      "products_value": 123,
      "cfop": "<string>",
      "url": "<string>",
      "created_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      },
      "updated_at": {
        "date": "2000-08-17 10:24:24",
        "timezone_type": 3,
        "timezone": "America/Sao_Paulo"
      }
    }
  ]
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

orderId
integer
required

ID do pedido

Body

application/json

Detalhes da nota fiscal

Representa os dados para criar uma nota fiscal de um pedido

series
string
required

Número de série da nota

Example:

"000"

number
string
required

Número da nota

Example:

"000"

date
string
required

Data da nota

Example:

"2018-01-01"

value
number
required

Valor da nota

Example:

"99.99"

key
string

Chave da nota

Example:

"000"

products_value
number

Valor dos produtos da nota

Example:

"79.99"

url
string

URL da nota

Example:

"https://url.com"

cfop
string

Código Fiscal de Operações e de Prestações

Example:

"cfop"

force_invoiced_status
boolean

Marca se o status do pedido será marcado como faturado

Example:

"true"

Response

Nota fiscal criada com sucesso

data
Nota fiscal de um pedido · object[]